##### windows::overlapped_handle::overlapped_handle (2 of 3 overloads)

Construct an `windows::overlapped_handle` on an existing native handle.

    overlapped_handle(
        asio::io_context & io_context,
        const native_handle_type & handle);

This constructor creates a handle object to hold an existing native handle.

###### Parameters

io_context

  The `io_context` object that the handle will use to dispatch handlers for any asynchronous operations performed on the handle.

handle

  A native handle.

###### Exceptions

asio::system_error

  Thrown on failure.